# __gnu_pbds::hash_prime_size_policy Class Reference

List of all members.

## Detailed Description

Definition at line 443 of file hash_policy.hpp.

## Public Types

- typedef size_t size_type

## Public Member Functions

- hash_prime_size_policy (size_type start_size=8)
- void swap (hash_prime_size_policy &other)

## Protected Member Functions

- size_type get_nearest_larger_size (size_type size) const
- size_type get_nearest_smaller_size (size_type size) const

The documentation for this class was generated from the following file:

- hash_policy.hpp